# pear – Manage pear/pecl packages

- Synopsis

- Parameters

- Examples

- Status

## Synopsis

- Manage PHP packages with the pear package manager.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
executable - added in 2.4 |  | Path to the pear executable
name - / required |  | Name of the package to install, upgrade, or remove.

state
-

Choices:
- present ←
- absent
- latest

Desired state of the package.

## Examples

    # Install pear package
    - pear:
        name: Net_URL2
        state: present

    # Install pecl package
    - pear:
        name: pecl/json_post
        state: present

    # Upgrade package
    - pear:
        name: Net_URL2
        state: latest

    # Remove packages
    - pear:
        name: Net_URL2,pecl/json_post
        state: absent

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Jonathan Lestrelin (@jle64) <jonathan.lestrelin@gmail.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.